# Modify bank account

PATCH https://api.letsdeel.com/rest/v2/gp/workers/{worker_id}/banks/{bank_id}
Content-Type: application/json

Modify bank account for an employee.
 **Token scopes**: `people:write`

Reference: https://developer.deel.com/api/endpoints/worker-information/update-gp-worker-bank

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Deel HRIS SCIM API
  version: 1.0.0
paths:
  /gp/workers/{worker_id}/banks/{bank_id}:
    patch:
      operationId: update-gp-worker-bank
      summary: Modify bank account
      description: |-
        Modify bank account for an employee.
         **Token scopes**: `people:write`
      tags:
        - subpackage_workerInformation
      parameters:
        - name: worker_id
          in: path
          description: Unique identifier for a worker in UUID format.
          required: true
          schema:
            type: string
            format: uuid
        - name: bank_id
          in: path
          description: Unique identifier for the bank account in UUID format.
          required: true
          schema:
            type: string
            format: uuid
        - name: Authorization
          in: header
          description: >
            ## Authentication

            The Deel API uses bearer tokens to authenticate requests. All API
            calls must be made over HTTPS — calls over plain HTTP or without
            authentication will fail.


            ```curl

            curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
              -H 'Authorization: Bearer YOUR-TOKEN-HERE'
            ```


            [Learn more about authentication](/api/authentication)
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful operation.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/worker-information_updateGPWorkerBank_Response_200
        '400':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '401':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '403':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '404':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '500':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
      requestBody:
        description: Request body to modify an existing bank account for an employee.
        content:
          application/json:
            schema:
              type: object
              properties:
                city:
                  type: string
                  description: The city of the user's address.
                iban:
                  type: string
                  description: The International Bank Account Number (IBAN).
                email:
                  type: string
                  description: The user's email address.
                phone:
                  type: string
                  description: The user's phone number.
                postal:
                  type: string
                  description: The user's postal or ZIP code.
                tax_id:
                  type: string
                  description: The user's tax identification number.
                bank_code:
                  type: string
                  description: The bank code.
                bank_name:
                  type: string
                  description: Name of the user's bank.
                full_name:
                  type: string
                  description: Full name of the user.
                swift_bic:
                  type: string
                  description: SWIFT/BIC code for the bank.
                rib_number:
                  type: string
                  description: The RIB (Relevé d'Identité Bancaire).
                branch_code:
                  type: string
                  description: The branch code of the user's bank.
                account_type:
                  type: string
                  description: Bank account type.
                country_code:
                  type: string
                  description: The country code of the user's address.
                address_line1:
                  type: string
                  description: The primary address line.
                address_line2:
                  type: string
                  description: The secondary address line.
                currency_code:
                  type: string
                  description: The currency code for transactions.
                original_name:
                  type: string
                  description: The original name of the user.
                account_number:
                  type: string
                  description: The user's bank account number.
                province_state:
                  type: string
                  description: The state or province of the user's address.
                bank_branch_name:
                  type: string
                  description: The name of the user's bank branch.
                bank_country_code:
                  type: string
                  description: The country code where the bank is located.
                ach_routing_number:
                  type: string
                  description: The ACH (Automated Clearing House) Routing Number.
servers:
  - url: https://api.letsdeel.com/rest/v2
  - url: https://api-staging.letsdeel.com/rest/v2
components:
  schemas:
    GpWorkersWorkerIdBanksBankIdPatchResponsesContentApplicationJsonSchemaData:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the modified bank account.
        status:
          type: string
          description: The status of the modified bank account.
        created_at:
          type: string
          format: date-time
          description: Timestamp of when the bank account was created, in ISO-8601 format.
        updated_at:
          type: string
          format: date-time
          description: >-
            Timestamp of the last update to the bank account, in ISO-8601
            format.
      required:
        - id
        - status
        - created_at
        - updated_at
      title: >-
        GpWorkersWorkerIdBanksBankIdPatchResponsesContentApplicationJsonSchemaData
    worker-information_updateGPWorkerBank_Response_200:
      type: object
      properties:
        data:
          $ref: >-
            #/components/schemas/GpWorkersWorkerIdBanksBankIdPatchResponsesContentApplicationJsonSchemaData
      required:
        - data
      title: worker-information_updateGPWorkerBank_Response_200
    ApiErrorRequest:
      type: object
      properties:
        method:
          type: string
          description: The HTTP method of the failed request
        url:
          type: string
          description: The relative URL of the failed request
        status:
          type: number
          format: double
          description: The status code of the response
        api_req_id:
          type: string
          description: The request ID of the failed request
        docs:
          type: string
          description: >-
            A link to the official documentation for the requested endpoint
            resource
        source:
          type: string
          description: The source handler which produced the returned error
        code:
          type: number
          format: double
          description: The code of the source handler which produced the returned error
      title: ApiErrorRequest
    ApiError:
      type: object
      properties:
        message:
          type: string
          description: A description of the returned error
        path:
          type: string
          description: The JSON path where input validation failed
      title: ApiError
    ApiErrorContainer:
      type: object
      properties:
        request:
          $ref: '#/components/schemas/ApiErrorRequest'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ApiError'
      title: ApiErrorContainer
  securitySchemes:
    deelToken:
      type: http
      scheme: bearer
      description: >
        ## Authentication

        The Deel API uses bearer tokens to authenticate requests. All API calls
        must be made over HTTPS — calls over plain HTTP or without
        authentication will fail.


        ```curl

        curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
          -H 'Authorization: Bearer YOUR-TOKEN-HERE'
        ```


        [Learn more about authentication](/api/authentication)
    oauth2:
      type: http
      scheme: bearer
      description: >-
        Standard OAuth2 security scheme based on
        https://swagger.io/docs/specification/authentication/

```

## SDK Code Examples

```python
import requests

url = "https://api.letsdeel.com/rest/v2/gp/workers/6f50539e-9f62-45d0-a42e-62a62fbb984a/banks/a3b33c4d-8c02-4f7d-92b5-123abc456def"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/v2/gp/workers/6f50539e-9f62-45d0-a42e-62a62fbb984a/banks/a3b33c4d-8c02-4f7d-92b5-123abc456def';
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/v2/gp/workers/6f50539e-9f62-45d0-a42e-62a62fbb984a/banks/a3b33c4d-8c02-4f7d-92b5-123abc456def"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/v2/gp/workers/6f50539e-9f62-45d0-a42e-62a62fbb984a/banks/a3b33c4d-8c02-4f7d-92b5-123abc456def")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://api.letsdeel.com/rest/v2/gp/workers/6f50539e-9f62-45d0-a42e-62a62fbb984a/banks/a3b33c4d-8c02-4f7d-92b5-123abc456def")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://api.letsdeel.com/rest/v2/gp/workers/6f50539e-9f62-45d0-a42e-62a62fbb984a/banks/a3b33c4d-8c02-4f7d-92b5-123abc456def', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/v2/gp/workers/6f50539e-9f62-45d0-a42e-62a62fbb984a/banks/a3b33c4d-8c02-4f7d-92b5-123abc456def");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/v2/gp/workers/6f50539e-9f62-45d0-a42e-62a62fbb984a/banks/a3b33c4d-8c02-4f7d-92b5-123abc456def")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```